| Home | Libraries | People | FAQ | More

## Struct template post_inc

boost::proto::post_inc — A metafunction for generating post-increment expression types, a grammar element for matching post-increment expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct post_inc :  proto::transform< post_inc<T> > {
      // types
      typedef proto::expr< proto::tag::post_inc, proto::list1< T > > type;
      typedef type                                                   proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<post_inc>::template impl<Expr, State, Data>
      {
      };
    };

## Description